(function ($, Drupal, once) {
  Drupal.behaviors.ultimate_table = {
    attach: function (context) {
      // Ensure event binding during initial page load and AJAX calls
      bindRemoveButtonClick(context);
    }
  };

  $(document).ajaxComplete(function () {
    // Ensure event binding after AJAX calls
    bindRemoveButtonClick(document);
  });

  function bindRemoveButtonClick(context) {
    // Use event delegation to handle dynamically added elements
    $('span.table-remove-img').click(function (e) {
      e.preventDefault();
      let key = $(this).attr('data-key');
      console.log(key)
      let targetInput = $('[name="' + key + '"]');

      // Debugging: Check if the target input is found and visible
      if (targetInput.length) {
        console.log('Target input found:', targetInput);
        if (targetInput.is(':visible')) {
          console.log('Target input is visible');
        } else {
          console.log('Target input is hidden');
        }

        // Trigger click event on the target input
        targetInput.each(function () {
          $(this).trigger('click');
        });
      } else {
        console.log('Target input not found:', key);
      }
    });
  }

})(jQuery, Drupal, once);

